Page MenuHomePhabricator

sharesafe: make warning about outdated share configurable
ClosedPublic

Authored by pulkit on Fri, Jan 8, 11:24 AM.

Details

Summary

If the source repository upgrades to use sharesafe mode, we show a warning in
shares. This patch makes that warning configurable and some might not want their
users see this warning.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Fri, Jan 8, 11:24 AM
marmoute requested changes to this revision.Fri, Jan 8, 6:57 PM
marmoute added a subscriber: marmoute.

If the spirit of this setting is "do not bug the user with details it does not know about" (ie: large, managed install). We want this to also control the message issue if the automatic upgrade failed.

This revision now requires changes to proceed.Fri, Jan 8, 6:57 PM
baymax updated this revision to Diff 24696.Sat, Jan 9, 8:03 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit added a comment.Sat, Jan 9, 2:09 PM

If the spirit of this setting is "do not bug the user with details it does not know about" (ie: large, managed install). We want this to also control the message issue if the automatic upgrade failed.

Done.

Alphare accepted this revision.Tue, Jan 12, 11:39 AM
pulkit updated this revision to Diff 24778.Wed, Jan 13, 6:30 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.